#ifndef INCLUDED_luxe_utils_json_JSONToken
#define INCLUDED_luxe_utils_json_JSONToken

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS3(luxe,utils,json,JSONToken)
HX_DECLARE_CLASS3(luxe,utils,json,JSONTokenType)
namespace luxe{
namespace utils{
namespace json{


class HXCPP_CLASS_ATTRIBUTES  JSONToken_obj : public hx::Object{
	public:
		typedef hx::Object super;
		typedef JSONToken_obj OBJ_;
		JSONToken_obj();
		Void __construct(::luxe::utils::json::JSONTokenType type,Dynamic value);

	public:
		inline void *operator new( size_t inSize, bool inContainer=true)
			{ return hx::Object::operator new(inSize,inContainer); }
		static hx::ObjectPtr< JSONToken_obj > __new(::luxe::utils::json::JSONTokenType type,Dynamic value);
		static Dynamic __CreateEmpty();
		static Dynamic __Create(hx::DynamicArray inArgs);
		//~JSONToken_obj();

		HX_DO_RTTI;
		static void __boot();
		static void __register();
		void __Mark(HX_MARK_PARAMS);
		void __Visit(HX_VISIT_PARAMS);
		::String __ToString() const { return HX_CSTRING("JSONToken"); }

		::luxe::utils::json::JSONTokenType type;
		Dynamic value;
};

} // end namespace luxe
} // end namespace utils
} // end namespace json

#endif /* INCLUDED_luxe_utils_json_JSONToken */ 
